2 Replies Latest reply on Mar 19, 2009 7:25 PM by marcos cruz

    Envers 1.1.0 is not compatible with seam 1.2 ?

    marcos cruz Newbie

      I have an application that uses seam 1.2.1 and hibernate.

      I am getting a ClassCastException for org.jboss.seam.persistence.HibernateSessionProxy

      on method VersionsReaderFactory.get(Session session) line 51

      HibernateSessionProxy is injected by seam when I use:
      @In Session

      The problem seems to be because HibernateSessionProxy(seam 1.2.1) does not implement the interface SessionImplementor.

      I have seen that for seam 2.0, this interface is implemented.

      Is there any workaround or I just can't use envers with this seam version?

      Thanks
      Marcos